.cart-page {
  padding: 0 0px 30px 0px;
  margin: 40px 0px;
}

.cart-page .adv_banner_div {
  margin: 40px 0px;
}

.cart-page .row-section {
  margin-top: 15px;
}

.cart-page .left-section {
  padding-right: 30px;
}

.cart-page .row-section .summary {
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 3px 5px #00000029;
  border: 1px solid #2d2d2d30;
  border-radius: 9px;
  margin-bottom: 20px;
}

.cart-page .row-section .summary .summary-header {
  background: #2d2d2d;
  padding: 13px 16px;
  font-weight: 600;
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 18px;
  color: #fff;
}

.cart-page .row-section .summary .summary-header .image-wrapper {
  width: 25px;
  height: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.cart-page .row-section .summary .summary-header .inner_text {
  margin-bottom: 0px;
  line-height: normal;
  margin-left: 5px;
}

.cart-page .row-section .summary .summary-header .image-wrapper .inner_img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.cart-page .row-section .summary .content-wrapper {
  padding: 20px 12px;
}

.cart-page .row-section .summary .content-wrapper .summary-row {
  display: flex;
  justify-content: space-between;
  padding: 8px 10px;
  border-bottom: 1px solid #cbcbcb;
}

.cart-page .row-section .summary .content-wrapper .summary-row .detail-text {
  font-size: 16px;
  font-weight: 500;
  color: #2d2d2d;
}

.cart-page
  .row-section
  .summary
  .content-wrapper
  .summary-row
  .detail-text.total {
  color: #ee4823 !important;
}

.cart-page .row-section .summary .content-wrapper .summary-row .price {
  text-align: start;
  font-weight: 600;
  color: #2d2d2d;
}

.cart-page .row-section .summary .content-wrapper .summary-row .price.total {
  color: #ee4823 !important;
}

.cart-page .row-section .summary .content-wrapper .total {
  color: #884200;
  font-weight: bold;
  border-bottom: none;
  margin-bottom: 5px;
}

.cart-page .row-section .summary .content-wrapper .total .price {
  font-weight: 700;
}

.cart-page .row-section .summary .content-wrapper .bottom-section {
  margin: 20px 10px 0px;
  display: flex;
  justify-content: center;
}

.cart-page
  .row-section
  .summary
  .content-wrapper
  .bottom-section
  .checkout-btn {
  width: 80%;
  padding: 7px;
}

.cart-page .coupon {
  padding: 10px 20px;
  margin: 0px 0px 14px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  background: #f5f5f5 0% 0% no-repeat padding-box;
  border: 1px solid #7171716b;
  border-radius: 9px;
}

.cart-page .coupon .label {
  font-size: 16px;
  color: #2d2d2d;
  font-weight: 600;
}

.cart-page .coupon .coupon-form {
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
  width: 100%;
  background: #ffffff 0% 0% no-repeat padding-box;
  border: 1px solid #d2d2d2;
  border-radius: 20px !important;
  height: 37px;
}

.cart-page .coupon .coupon-input {
  flex: 1 1;
  min-width: 0;
  border-radius: 0px !important;
  color: #343434;
  font-size: 14px;
  border: none;
  border-radius: 16px !important;
  height: 100%;
}

.cart-page .coupon .common-black-btn {
  background: #717171 0% 0% no-repeat padding-box;
  border-radius: 0px 16px 16px 0px;
  padding: 0px 5px;
  width: 100px;
  margin: 0px;
  font-size: 18px;
  font-weight: 400;
  height: 100%;
}

.cart-page .row-section .info-box {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 9px;
}

.cart-page .row-section .info-box .gray_box {
  background: #f5f5f5 0% 0% no-repeat padding-box;
  border-radius: 9px;
  padding: 22px 8px;
  position: relative;
  overflow: hidden;
}

.cart-page .row-section .info-box .gray_box::after {
  position: absolute;
  content: "";
  height: 11px;
  width: 100px;
  background: #e7e7e7;
  top: 19px;
  right: -39px;
  transform: rotate(39deg);
}

.cart-page .row-section .info-box .gray_box::before {
  position: absolute;
  content: "";
  height: 11px;
  width: 108px;
  background: #e7e7e7;
  top: 22px;
  right: -22px;
  transform: rotate(39deg);
}

.cart-page .row-section .info-box .gray_box .icon_wrapper {
  margin-bottom: 15px;
}

.cart-page .row-section .info-box .gray_box .icon_wrapper .inner_img {
  height: 30px;
  width: auto;
}

.cart-page .row-section .info-box .gray_box .label {
  font-size: 14px;
  color: #222222;
  margin-bottom: 0px;
  font-weight: 400;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

@media (min-width: 1200px) and (max-width: 1399px) {
  .cart-page .row-section {
    /* padding-left: 25px !important; */
    /* padding-right: 25px !important; */
    margin-top: 15px;
  }

  .cart-page .coupon .label,
  .cart-page .row-section .summary .content-wrapper .summary-row .detail-text,
  .cart-page .row-section .summary .content-wrapper .summary-row .price {
    font-size: 15px;
  }

  .cart-page .row-section .summary .summary-header,
  .cart-page .coupon .common-black-btn {
    font-size: 16px;
  }

  .cart-page .row-section .summary .summary-header .image-wrapper {
    width: 23px;
    height: 23px;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .cart-page .row-section {
    padding-left: 0 !important;
    padding-right: 0 !important;
    margin-top: 0px;
  }

  .cart-page .left-section {
    padding-right: 10px;
  }

  .cart-page .row-section .summary .summary-header {
    padding: 5px 12px;
    font-size: 15px;
  }

  .cart-page .row-section .summary .content-wrapper .summary-row .detail-text {
    font-size: 14px;
  }

  .cart-page .cart-item .meta .bottom-row {
    gap: 40px !important;
  }

  .cart-page .coupon .label,
  .cart-page .row-section .summary .content-wrapper .summary-row .detail-text,
  .cart-page .row-section .summary .content-wrapper .summary-row .price {
    font-size: 15px;
  }

  .cart-page .row-section .summary .summary-header,
  .cart-page .coupon .common-black-btn {
    font-size: 16px;
  }

  .cart-page .row-section .info-box {
    grid-template-columns: repeat(2, 1fr);
  }

  .cart-page .row-section .summary .summary-header .image-wrapper {
    width: 23px;
    height: 23px;
  }
  .cart-page {
    margin: 22px 0px;
  }
}

@media (min-width: 768px) and (max-width: 991.98px) {
  .cart-page .coupon .label,
  .cart-page .row-section .summary .content-wrapper .summary-row .detail-text,
  .cart-page .row-section .summary .content-wrapper .summary-row .price {
    font-size: 15px;
  }

  .cart-page .row-section .summary .summary-header,
  .cart-page .coupon .common-black-btn {
    font-size: 16px;
  }

  .cart-page .row-section .info-box {
    grid-template-columns: repeat(4, 1fr);
  }

  .cart-page .row-section .right-section {
    margin-top: 20px !important;
  }

  .cart-page .row-section .summary .summary-header .image-wrapper {
    width: 23px;
    height: 23px;
  }
}

@media (min-width: 0px) and (max-width: 991.98px) {
  .cart-page .row-section {
    padding-left: 0 !important;
    padding-right: 0 !important;
    margin-top: 0px !important;
  }

  .cart-page .left-section {
    padding-right: 12px;
  }

  .cart-page .row-section .right-section {
    margin-top: 30px;
  }

  .cart-page .coupon .apply-btn {
    width: 200px;
  }
}

@media (min-width: 576px) and (max-width: 767.98px) {
  .cart-page .row-section .summary .summary-header {
    padding: 6px 12px;

    font-size: 15px;
  }

  .cart-page .row-section .summary .content-wrapper .summary-row .detail-text {
    font-size: 14px;
  }

  .cart-page .coupon .apply-btn {
    font-size: 14px;
    width: 120px;
    border: 2px solid #1f2a44 !important;
  }

  .cart-page .coupon .label,
  .shipping-cart-section .cart-item .bottom_div .detail_text,
  .cart-page .row-section .summary .content-wrapper .summary-row .detail-text,
  .cart-page .row-section .summary .content-wrapper .summary-row .price {
    font-size: 15px;
  }

  .cart-page .row-section .summary .summary-header,
  .cart-page .coupon .common-black-btn {
    font-size: 16px;
  }

  .cart-page .row-section .info-box {
    grid-template-columns: repeat(4, 1fr);
  }

  .cart-page .row-section .right-section {
    margin-top: 20px !important;
  }

  .cart-page .row-section .summary .summary-header .image-wrapper {
    width: 23px;
    height: 23px;
  }
}

@media (min-width: 0px) and (max-width: 575.98px) {
  .cart-page {
    padding: 0 0px 0px 0px;
    margin: 20px 0px;
  }

  .cart-page .row-section .summary .content-wrapper {
    padding: 8px;
  }

  .cart-page .row-section .summary .summary-header {
    padding: 10px 10px;
    gap: 3px;
    font-size: 14px;
  }

  .cart-page .row-section .summary .content-wrapper .summary-row {
    padding: 6px 7px;
  }

  .cart-page .row-section .summary .content-wrapper .summary-row .detail-text {
    font-size: 13px;
  }

  .cart-page .row-section .summary .content-wrapper .summary-row .price {
    font-size: 13px;
  }

  .cart-page .row-section .summary .content-wrapper .total {
    margin-bottom: 10px;
  }

  .cart-page .row-section .summary .content-wrapper .bottom-section {
    margin: 0 2px;
  }

  .cart-page .row-section {
    margin-top: 0;
  }

  .cart-page .row-section .right-section {
    margin-top: 20px;
  }

  .cart-page .coupon .apply-btn {
    width: 100%;
    border: 1px solid #1f2a44 !important;
    font-size: 13px;
  }

  .cart-page .coupon .coupon-input {
    width: 100%;
    font-size: 13px;
  }

  .cart-page .coupon {
    padding: 10px 20px;
    margin: 0 0px 15px;
    gap: 6px;
  }

  .cart-page .coupon .label,
  .cart-page .row-section .summary .content-wrapper .summary-row .detail-text,
  .cart-page .row-section .summary .content-wrapper .summary-row .price {
    font-size: 15px;
  }

  .cart-page .row-section .summary .summary-header,
  .cart-page .coupon .common-black-btn {
    font-size: 16px;
  }

  .cart-page .row-section .info-box {
    grid-template-columns: repeat(2, 1fr);
  }

  .cart-page .row-section .info-box .gray_box .label {
    font-size: 13px;
  }

  .cart-page .row-section .summary .summary-header,
  .cart-page .coupon .common-black-btn {
    font-size: 14px;
  }

  .cart-page .row-section .right-section {
    margin-top: 10px !important;
  }

  .cart-page .row-section .summary .summary-header .image-wrapper {
    width: 23px;
    height: 23px;
  }
}
